bt_packet_logger_client_free
bt_packet_logger_client_new
bt_packet_logger_client_start_service
bt_packet_logger_client_t
bt_packet_logger_error_t
bt_packet_logger_receive_cb_t
bt_packet_logger_receive_with_timeout
bt_packet_logger_start_capture
bt_packet_logger_stop_capture

## bt_packet_logger_client_new()

LIBIMOBILEDEVICE_API bt_packet_logger_error_t bt_packet_logger_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | bt_packet_logger_client_t * | client )

Connects to the bt_packet_logger service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated bt_packet_logger_client_t upon successful return. Must be freed using bt_packet_logger_client_free() after use.

Returns
  BT_PACKET_LOGGER_E_SUCCESS on success, BT_PACKET_LOGGER_E_INVALID_ARG when client is NULL, or an BT_PACKET_LOGGER_E_* error code otherwise.